Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Viewpoint

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Bindable
                  |
                  +--shout3d.core.Viewpoint

public class Viewpoint
extends Bindable
implements FieldObserver

A Viewpoint

Field Summary
`float[]` | `defaultOrientation`
`float[]` | `defaultPosition`
`StringField` | `description`
`FloatField` | `fieldOfView`
`FloatArrayField` | `orientation`
`FloatArrayField` | `position`

Fields inherited from class shout3d.core.Bindable
`isBound`

Constructor Summary
`Viewpoint()` Constructs a default Viewpoint
`Viewpoint(Shout3DViewer viewer)` Constructs that takes a viewer as an argument

Method Summary
`float[]` | `getCameraToParent()`
`float[]` | `getParentToCamera()`
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this from within their own onFieldChange() methods.

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultOrientation

    public final float[] defaultOrientation

### defaultPosition

    public final float[] defaultPosition

### description

    public final StringField description

### fieldOfView

    public final FloatField fieldOfView

### orientation

    public final FloatArrayField orientation

### position

    public final FloatArrayField position

Constructor Detail

### Viewpoint

    public Viewpoint()

  Constructs a default Viewpoint

### Viewpoint

    public Viewpoint(Shout3DViewer viewer)

  Constructs that takes a viewer as an argument

Method Detail

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this from within their own onFieldChange() methods.
  Specified by:
    onFieldChange in interface FieldObserver
  Overrides:
    onFieldChange in class Bindable

### getParentToCamera

    public float[] getParentToCamera()

### getCameraToParent

    public float[] getCameraToParent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD